Package cvut.fel.service

# Class PublisherServiceTest

java.lang.Object
cvut.fel.service.PublisherServiceTest

    @Transactional
    @SpringBootTest
    public class PublisherServiceTest
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PublisherServiceTest()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `createContract_calledTwice_exceptionExpected()` |
  `void` | `createContract_generatedContract_2wayConnectionCreated()` |
  `void` | `createContract_publisherID_exceptionExpected()` |
  `void` | `createContract_wrongAuthorID_exceptionExpected()` |
  `void` | `publishNewBook_generatedBook_2wayConnectionCreated()` |
  `void` | `publishNewBook_runTwoTimes_exceptionExpected()` |
  `void` | `publishNewBook_wrongPublisherId_exceptionExpected()` |
  `void` | `setUp()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PublisherServiceTest

    public PublisherServiceTest()

- ## Method Details

  - ### setUp

    public void setUp()

  - ### createContract_generatedContract_2wayConnectionCreated

    public void createContract_generatedContract_2wayConnectionCreated()

  - ### createContract_wrongAuthorID_exceptionExpected

    public void createContract_wrongAuthorID_exceptionExpected()

  - ### createContract_publisherID_exceptionExpected

    public void createContract_publisherID_exceptionExpected()

  - ### createContract_calledTwice_exceptionExpected

    public void createContract_calledTwice_exceptionExpected()

  - ### publishNewBook_generatedBook_2wayConnectionCreated

    public void publishNewBook_generatedBook_2wayConnectionCreated()

  - ### publishNewBook_wrongPublisherId_exceptionExpected

    public void publishNewBook_wrongPublisherId_exceptionExpected()

  - ### publishNewBook_runTwoTimes_exceptionExpected

    public void publishNewBook_runTwoTimes_exceptionExpected()